M_ALLOC_SCRATCH(3)

FUNCTION
m_alloc_scratch - Allocate a block of scratch memory.

SYNOPSIS
#include <karma_m.h>

void * m_alloc_scratch

(uaddr size, char *function_name)

DESCRIPTION
This routine will allocate a block of scratch memory, which may be re-used by many different routines. The block is reserved until a call is made to <-m_free_scratch->.

size
    The minimum size in bytes of the scratch block.

function_name
    If this is not NULL and a failure occurs, the string is printed and the process aborts.

RETURN VALUE
A pointer on success to a dynamically allocated block of memory which is valid until the next call to this routine, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/